import { CustomerQueueManager } from './customer-queue.manager';

export class CustomerQueueSummaryManager extends CustomerQueueManager {
  get data() {
    return this.tickets.map((ticket) => {
      return {
        id: ticket.id,
        code: ticket.code,
        customer: ticket.customer,
        phone: ticket.phone,
        date: ticket.date,
        summary: this.summaryTicket(ticket),
      };
    });
  }
}
